[openwrt/openwrt] scripts/kernel_bump: Do no run on dirty repositories
LEDE Commits
lede-commits at lists.infradead.org
Fri Apr 12 09:21:02 PDT 2024
robimarko pushed a commit to openwrt/openwrt.git, branch main:
https://git.openwrt.org/f9ac106779022c41b393c80c0e1ac3e079db1343
commit f9ac106779022c41b393c80c0e1ac3e079db1343
Author: Olliver Schinagl <oliver at schinagl.nl>
AuthorDate: Mon Mar 18 13:09:23 2024 +0100
scripts/kernel_bump: Do no run on dirty repositories
We want to avoid starting a process when we know it will fail later.
Signed-off-by: Olliver Schinagl <oliver at schinagl.nl>
---
scripts/kernel_bump.sh | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/scripts/kernel_bump.sh b/scripts/kernel_bump.sh
index 90e47789c3..5c147d78a5 100755
--- a/scripts/kernel_bump.sh
+++ b/scripts/kernel_bump.sh
@@ -77,6 +77,11 @@ init()
initial_branch="$(git rev-parse --abbrev-ref HEAD)"
initial_commitish="$(git rev-parse HEAD)"
+ if [ -n "$(git status --porcelain | grep -v '^?? .*')" ]; then
+ echo 'Git respository not in a clean state, will not continue.'
+ exit 1
+ fi
+
source_version="${source_version#v}"
target_version="${target_version#v}"
More information about the lede-commits
mailing list